Loading...
Searching...
No Matches
Ogre::DynLib Class Reference
Core » General

Resource holding data about a dynamic library. More...

`#include <OgreDynLib.h>`

Inheritance diagram for Ogre::DynLib:
[legend]

## Public Member Functions

| DynLib (const String &name)
| Default constructor - used by DynLibManager.
| ~DynLib ()
| Default destructor.
const String & | getName (void) const
| Get the name of the library.
void * | getSymbol (const String &strName) const throw ()
| Returns the address of the given symbol from the loaded library.
void | load ()
| Load the library.
void | unload ()
| Unload the library.

## Detailed Description

Resource holding data about a dynamic library.

This class holds the data required to get symbols from libraries loaded at run-time (i.e. from DLL's for so's)

Author
  Adrian Cearn„u (cearn.nosp@m.y@ce.nosp@m.arny..nosp@m.ro)

## Constructor & Destructor Documentation

## DynLib()

Ogre::DynLib::DynLib | ( | const String & | name | ) |

Default constructor - used by DynLibManager.

Warning
  Do not call directly

## ~DynLib()

Ogre::DynLib::~DynLib | ( |  | ) |

Default destructor.

## Member Function Documentation

## load()

void Ogre::DynLib::load | ( |  | ) |

Load the library.

## unload()

void Ogre::DynLib::unload | ( |  | ) |

Unload the library.

## getName()

const String & Ogre::DynLib::getName | ( | void |  | ) | const

inline

Get the name of the library.

## getSymbol()

void * Ogre::DynLib::getSymbol | ( | const String & | strName | ) | const
throw | ( | ) |  |  |

Returns the address of the given symbol from the loaded library.

Parameters

  strName | The name of the symbol to search for

Returns
  If the function succeeds, the returned value is a handle to the symbol.

  If the function fails, the returned value is NULL.

The documentation for this class was generated from the following file:

- OgreDynLib.h